/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

body {
    font-family: var(--font-primary);
    font-size: 1.25rem;
    font-weight: 400;
    line-height: 1.3em;

    p:last-child {
        margin-bottom: 0;
    }

    a {
        transition: all 0.35s ease;
    }
}

#content>div:first-child {
    overflow: hidden;
}

h1, h2, h3, h4, h5, h6 {
    line-height: 1.2em;
    font-family: var(--font-primary);
}

.f300 {
    font-weight: 300;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 300;
    }
}

.f400 {
    font-weight: 400;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 400;
    }
}

.f500 {
    font-weight: 500;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 500;
    }
}

.f600 {
    font-weight: 600;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 600;
    }
}

.f700 {
    font-weight: 700;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 700;
    }
}

.tit {
    font-family: "Raleway", Sans-serif;
    text-transform: uppercase;
    line-height: 1.1em;
}

.tit h1{
    font-family: var(--font-primary);
    font-size: var(--tith1-size);
    font-weight: 700;
    text-transform: uppercase;
    line-height: 1.1em;
    color: var( --c-primary);
}

.sub-tit {
    font-family: var(--font-primary);
    text-transform: uppercase;
    line-height: 1em;
    color: var( --c-secondary);
}

.sub-tit h2{
    font-family: var(--font-primary);
    font-size: var(--subtith2-size);
    text-transform: uppercase;
    line-height: 1em;
    color: var( --c-secondary);
}

.sub-tit h3{
    font-family: var(--font-primary);
    font-size: var(--subtith3-size);
    font-weight: 700;
    text-transform: uppercase;
    line-height: 1.2em;
    color: var( --c-secondary);
}

.txt {
    font-family: var(--font-primary);
    font-size: var(--proyecto-txt);
    font-weight: 400;
}

.txt-2 {
    font-family: var(--font-primary);
    font-size: 18px;
    font-weight: 400;
}

.tit {
    h1 {
        font-weight: 400;
        font-size: var(--tith1-size);
    }

    h2 {
        font-weight: 400;
        font-size: clamp(26px, 3vw, 36px);
    }

    h3 {
        font-weight: 500;
        font-size: clamp(24px, 2vw, 28px);
    }

    h4 {
        font-weight: 500;
        font-size: clamp(18px, 1.5vw, 20px);
    }

    &.h1 {
        h2 {
            font-weight: 400;
            font-size: clamp(28px, 4vw, 40px);
        }
    }
}

.subtit {
    h1 {
        font-weight: 400;
        font-size: clamp(28px, 4vw, 40px);
    }

    h2 {
        font-weight: 400;
        font-size: var(--subtith2-size);
    }

    h3 {
        font-weight: 500;
        font-size: var(--subtith3-size);
    }

    h4 {
        font-weight: 500;
        font-size: clamp(16px, 1.5vw, 18px);
    }
}

#footer-widgets {
    background-color: #f9f9f9 !important;
    padding-top: 40px;
    padding-bottom: 20px;
}


/* ----- RESPONSIVE ------ */

@media screen and (max-width:1024px) {

}

@media screen and (max-width:767px) {

}